package model

import (
	"context"
	"yx-dataset-server/app/schema"
)

// IChatDataset ChatDataset存储接口
type IChatDataset interface {
	// 查询数据
	Query(ctx context.Context, params schema.ChatDatasetQueryParam, opts ...schema.ChatDatasetQueryOptions) (*schema.ChatDatasetQueryResult, error)
	// 查询指定数据
	Get(ctx context.Context, recordID string, opts ...schema.ChatDatasetQueryOptions) (*schema.ChatDataset, error)
	// 创建数据
	Create(ctx context.Context, item schema.ChatDataset) error
	// 更新数据
	Update(ctx context.Context, recordID string, item schema.ChatDataset) error
	// 删除数据
	Delete(ctx context.Context, recordID string) error
	// 更新状态
	UpdateStatus(ctx context.Context, recordID string, status int) error
	// DeleteByAssistantId 按助手id删除
	DeleteByAssistantId(ctx context.Context, assistantId string) error
}
